Find attribute groups
curl --request POST \
--url https://live.copilot.fabric.inc/api-product/v1/product/attribute-group/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"page": 0,
"size": 10,
"include": {
"attributes": true
},
"match": {
"target": "ITEM",
"or": [
{
"name": "weight"
}
]
},
"sort": [
{
"field": "priorityOrder",
"direction": "DESC"
}
]
}
'import requests
url = "https://live.copilot.fabric.inc/api-product/v1/product/attribute-group/search"
payload = {
"page": 0,
"size": 10,
"include": { "attributes": True },
"match": {
"target": "ITEM",
"or": [{ "name": "weight" }]
},
"sort": [
{
"field": "priorityOrder",
"direction": "DESC"
}
]
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
page: 0,
size: 10,
include: {attributes: true},
match: {target: 'ITEM', or: [{name: 'weight'}]},
sort: [{field: 'priorityOrder', direction: 'DESC'}]
})
};
fetch('https://live.copilot.fabric.inc/api-product/v1/product/attribute-group/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalSize": 7,
"pageSize": 10,
"pages": 1,
"attributeGroups": [
{
"_id": "6259ec8d006b0d00092b3189",
"description": "Item weight, in KG",
"type": "COLLECTION",
"name": "weight",
"priorityOrder": 1,
"createdOn": "2022-04-15T22:07:09.921Z",
"modifiedOn": "2022-04-15T22:10:05.427Z",
"totalAttributes": 1,
"EditableAttributes": [
{
"_id": "6259ec8defc2116dd6c0f3fc",
"attributeGroupId": "6259ec8d006b0d00092b3189",
"attributeId": "6245f16d11ae770009f19292",
"isEditable": true,
"createdOn": "2022-04-15T22:07:09.932Z",
"modifiedOn": "2022-04-15T22:10:05.444Z",
"order": 0,
"attribute": [
{
"_id": "6259ec8defc2116dd6c0f3fc",
"description": "Item weight, in KG.",
"formulaManuallyOverWritten": false,
"formula": null,
"type": "TEXT",
"name": "weight",
"textSubType": "SMALL_TEXT",
"attributeValidationId": "624d92f8caa34e0009b5d849",
"modifiedBy": "60aad2c835c5fb000885f679",
"createdOn": "2022-04-15T22:07:09.932Z",
"modifiedOn": "2022-04-15T22:10:05.444Z"
}
]
}
],
"ReadOnlyAttributes": [
{
"_id": "6259ec8defc2116dd6c0f3fc",
"attributeGroupId": "6259ec8d006b0d00092b3189",
"attributeId": "6245f16d11ae770009f19292",
"isEditable": true,
"createdOn": "2022-04-15T22:07:09.932Z",
"modifiedOn": "2022-04-15T22:10:05.444Z",
"order": 0,
"attribute": [
{
"_id": "6259ec8defc2116dd6c0f3fc",
"description": "Item weight, in KG.",
"formulaManuallyOverWritten": false,
"formula": null,
"type": "TEXT",
"name": "weight",
"textSubType": "SMALL_TEXT",
"attributeValidationId": "624d92f8caa34e0009b5d849",
"modifiedBy": "60aad2c835c5fb000885f679",
"createdOn": "2022-04-15T22:07:09.932Z",
"modifiedOn": "2022-04-15T22:10:05.444Z"
}
]
}
],
"WorkflowAttributes": [
{}
],
"ImpactedAttributes": [
{}
]
}
]
}{
"code": 400,
"message": "Client error"
}{
"code": 500,
"message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}Attributes
Find attribute groups
Find attribute groups based on the given search criteria. You will get a paginated response, which you can narrow down using filter criteria such as page and size.
POST
/
api-product
/
v1
/
product
/
attribute-group
/
search
Find attribute groups
Authorizations
S2S access token (JWT) from fabric Identity service (during Login)
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Body
application/json
Was this page helpful?
⌘I
